> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-python/reference/parameter.md).

# Parameter

## *class* <mark style="color:purple;">Parameter</mark>

An interface for working with workflow parameters on Redivis. Parameters are used to store sets of values that can be referenced across transforms and notebooks in a workflow.

## Constructors

<table data-header-hidden><thead><tr><th width="368">Method</th><th>Description</th></tr></thead><tbody><tr><td><a href="/api/client-libraries/redivis-python/reference/redivis/redivis.parameter.md"><strong><code>redivis.parameter</code></strong></a>(reference)</td><td>Create a reference to a parameter based on its (qualified) name</td></tr><tr><td><a href="/api/client-libraries/redivis-python/reference/workflow/workflow.parameter.md"><strong><code>workflow.parameter</code></strong></a>(reference)</td><td>Reference a parameter within a specific <a href="/api/client-libraries/redivis-python/reference/workflow.md">workflow</a>. </td></tr><tr><td><a href="/api/client-libraries/redivis-python/reference/workflow/workflow.list_parameters.md"><strong><code>Workflow.list_parameters</code></strong></a>()</td><td>Returns a list of Parameters within a workflow</td></tr></tbody></table>

## Examples

<pre class="language-python"><code class="lang-python">import redivis

workflow = redivis.workflow("username.workflow_name")
parameter = workflow.parameter("my_param").create(values=["foo","bar"])

<strong>print(parameter.get_values()) # ["foo", "bar"]
</strong>
parameter.update(values=["hello","world"])

print(parameter.get_values()) # ["hello", "world"]
</code></pre>

## Attributes

<table data-header-hidden><thead><tr><th>Name</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>workflow</code></strong></td><td>A reference to the <a href="/api/client-libraries/redivis-python/reference/workflow.md">Workflow</a> instance that is associated with this parameter.</td></tr><tr><td><strong><code>properties</code></strong></td><td>A dict containing the <a href="/api/resource-definitions/parameter.md">API resource representation of the parameter</a>. This will only be populated after certain methods are called, particularly the <code>get</code> method, and will otherwise be <code>None</code>.</td></tr><tr><td><strong><code>qualified_reference</code></strong></td><td><p></p><p>The <a href="/api/referencing-resources.md">fully qualified reference</a> to this parameter</p><p>For example,</p><pre class="language-http"><code class="lang-http">imathews.example_workflow_climate_analysis:x7kh.my_param:27sa
</code></pre></td></tr><tr><td><strong><code>scoped_reference</code></strong></td><td>The canonical reference for the parameter, without any qualifiers. E.g., <code>my_param:27sa</code></td></tr></tbody></table>

## Methods

<table data-header-hidden><thead><tr><th width="368">Method</th><th>Description</th></tr></thead><tbody><tr><td><a href="/api/client-libraries/redivis-python/reference/parameter/parameter.create.md"><strong><code>parameter.create</code></strong></a>(*, values, type)</td><td>Create a new parameter within a workflow</td></tr><tr><td><a href="/api/client-libraries/redivis-python/reference/parameter/parameter.delete.md"><strong><code>parameter.delete</code></strong></a>(*, values, type)</td><td>Delete a parameter</td></tr><tr><td><a href="/api/client-libraries/redivis-python/reference/parameter/parameter.get.md"><strong><code>parameter.get</code></strong></a>()</td><td>Fetches the parameter, after which parameter.properties will contain a dict with entries corresponding to the properties on the <a href="/api/resource-definitions/parameter.md">parameter resource definition</a>. Will raise an error if the parameter does not exist.</td></tr><tr><td><a href="/api/client-libraries/redivis-python/reference/parameter/parameter.get.md"><strong><code>parameter.get_values</code></strong></a>()</td><td>Fetches the list of values associated with the parameter.</td></tr><tr><td><a href="/api/client-libraries/redivis-python/reference/parameter/parameter.exists.md"><strong><code>parameter.exists</code></strong></a>()</td><td>Check whether the parameter exists.</td></tr><tr><td><a href="/api/client-libraries/redivis-python/reference/parameter/parameter.update.md"><strong><code>parameter.update</code></strong></a>([*, name, values, type])</td><td>Update the parameter's name, values, and/or type.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/client-libraries/redivis-python/reference/parameter.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
